unit ftpmsg;
interface
uses windos, dvcrt, dvWin, dvLenum;

procedure mensagem (nomeArq: string; nlf: integer);
procedure msgWrite (codMsg: string; nlf: integer);

implementation

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
begin
    if nomeArq = 'FTERRBIB' then
        write ('Não consegui conexão com a rotina de comunicações')
    else
    if nomeArq = 'FTERRSOQ' then
        write ('Não consegui criar soquete')
    else
    if nomeArq = 'FTERBIND' then
        write ('Não consegui alocar porta (bind)')
    else
    if nomeArq = 'FTERCOMP' then
        write ('Não consegui achar este computador pelo nome')
    else
    if nomeArq = 'FTCONEC' then
        write ('Conectando ')
    else
    if nomeArq = 'FTNAOCON' then
        write ('Não consegui realizar a conexao')
    else
    if nomeArq = 'FTERBNDD' then
        write ('Não consegui alocar porta para dados (bind)')
    else
    if nomeArq = 'FTERLSTN' then
        write ('Não consegui executar listen')
    else
    if nomeArq = 'FTACECON' then
        write ('Não consegui aceitar conexao: erro ')
    else
    if nomeArq = 'FTCOMCAI' then
        write ('Comunicacao Caiu')
    else
    if nomeArq = 'FTTRANS' then
        write ('Transmitidos ')
    else
    if nomeArq = 'FTMODIMG' then
        write ('Devo usar o modo imagem (sugiro que sim) ? ')
    else
    if nomeArq = 'FTERRMOD' then
        write ('Problemas ao selecionar modo de transmissão')
    else
    if nomeArq = 'FTTRANSM' then
        write ('Transmitir')
    else
    if nomeArq = 'FTNOMLOC' then
        write ('Qual o nome do arquivo local ? ')
    else
    if nomeArq = 'FTARQNAO' then
        write ('Arquivo não existe...')
    else
    if nomeArq = 'FTNOMREM' then
        write ('Qual o nome do arquivo remoto ? ')
    else
    if nomeArq = 'FTTRAREC' then
        write ('Transferência de arquivo foi recusada')
    else
    if nomeArq = 'FTERRENV' then
        write ('Erro no envio dos dados, código')
    else
    if nomeArq = 'FTFIMENV' then
        write ('Envio completado')
    else
    if nomeArq = 'FTRECEBE' then
        write ('Receber')
    else
    if nomeArq = 'FTNAOCRI' then
        write ('Não consegui criar o arquivo local')
    else
    if nomeArq = 'FTFIMREC' then
        write ('Recepção completada')
    else
    if nomeArq = 'FTAPAGA' then
        write ('Apagar')
    else
    if nomeArq = 'FTNOMAPA' then
        write ('Qual o nome do arquivo remoto a apagar ? ')
    else
    if nomeArq = 'FTOKAPAG'  then
        write ('Ok, apagado')
    else
    if nomeArq = 'FTNAOAPA' then
        write ('Não consegui apagar este arquivo')
    else
    if nomeArq = 'FTERTEMP' then
        write ('Problemas com o arquivo temporário, não posso ler o diretório')
    else
    if nomeArq = 'FTUSESET' then
        write ('Use as setas para ler, F9 para informações , ESC para terminar')
    else
    if nomeArq = 'FTERRCRI' then
        write ('Não consegui criar o arquivo para receber o diretorio')
    else
    if nomeArq = 'FTDIRPED' then
        write ('Diretorio pedido, aguarde')
    else
    if nomeArq = 'FTPEDREC' then
        write ('Pedido de informações de diretório foi recusado')
    else
    if nomeArq = 'FTERRDIR'  then
        write ('Erro na transferencia do diretorio')
    else
    if nomeArq = 'FTVERDIR' then
        write ('Verificando diretório atual')
    else
    if nomeArq = 'FTQUEDIR' then
        write ('Qual o nome do diretorio remoto desejado ? ')
    else
    if nomeArq = 'FTNAODIR'  then
        write ('Não consegui obter o diretório atual')
    else
    if nomeArq = 'FTDESIS' then
        write ('Desistiu')
    else
    if nomeArq = 'FTOK'  then
        write ('OK')
    else
    if nomeArq = 'FTNAOTRO' then
        write ('Não consegui trocar')
    else
    if nomeArq = 'FTINIC' then
        write ('FTP VOX - NCE/UFRJ - v.')
    else
    if nomeArq = 'FTCOMPUT' then
        write ('Nome do computador: ')
    else
    if nomeArq = 'FTAJUD00' then
        write ('As opçoes são')
    else
    if nomeArq = 'FTAJUD01' then
        write ('  L  login conta e senha')
    else
    if nomeArq = 'FTAJUD02' then
        write ('  D  diretorio remoto')
    else
    if nomeArq = 'FTAJUD03' then
        write ('  R  receber arquivo remoto')
    else
    if nomeArq = 'FTAJUD04' then
        write ('  T  transmitir')
    else
    if nomeArq = 'FTAJUD05' then
        write ('  A  apagar')
    else
    if nomeArq = 'FTAJUD06' then
        write ('  S  trocar subdiretorio')
    else
    if nomeArq = 'FTAJUD07' then
        write ('  Q  Informa quantidade transmitida')
    else
    if nomeArq = 'FTAJUD08' then
        write ('  V  modo verborágico')
    else
    if nomeArq = 'FTAJUD09' then
        write ('  ?  ajuda')
    else
    if nomeArq = 'FTAJUD10' then
        write ('ESC  fim do programa')
    else
    if nomeArq = 'FTVERBO'  then
        write ('Modo verborrágico ligado')
    else
    if nomeArq = 'FTNAOVRB' then
        write ('Modo verborrágico desligado')
    else
    if nomeArq = 'FTCMDFTP' then
        write ('Entre o comando em codigo FTP')
    else
    if nomeArq = 'FTERRCMD' then
        write ('Comando inexistente')
    else
    if nomeArq = 'FTFIMPRG' then
        write ('Programa terminado')
    else
    if nomeArq = 'FTERRSRV' then
        write ('Servidor não está disponível, codigo')
    else
    if nomeArq = 'FTCMD' then
        write ('Comando ? ')
    else
    if nomeArq = 'FTCMD' then
        write ('Comando ? ')
    else
    if nomeArq = 'FTDESCON' then
        write ('Desconectando')
    else
    if nomeArq = 'FTERPORT' then
        write ('Problemas na escolha da porta de dados, código ')
    else
    if nomeArq = 'FTCONTA' then
        write ('Qual a conta   ')
    else
    if nomeArq = 'FTERCONT' then
        write ('Problemas com a conta, código')
    else
    if nomeArq = 'FTSENHA' then
        write ('Qual a senha   ')
    else
    if nomeArq = 'FTERSENH' then
        write ('Senha não foi aceita, código')
    else
    if nomeArq = 'FTCHAVE' then
        write ('Qual a sua chave de acesso   ')
    else
    if nomeArq = 'FTERCHAV' then
        write ('Chave de acesso não foi aceita, código')
    else
    if nomeArq = 'FTACLIBE' then
        write ('Acesso liberado')
    else
    if nomeArq = 'FTCOMINT' then
        write ('Comunicação foi interrompida')
    else
        sintWriteln ('--> Mensagem invalida: ' + nomeArq);

    for i := 1 to nlf do
         writeln;

    sintSom (nomearq);
end;

{--------------------------------------------------------}
{                    escreve uma mensagem
{--------------------------------------------------------}

procedure msgWrite (codMsg: string; nlf: integer);
var i: integer;
begin
    if codmsg = 'FTNOMELO' then
        write ('Nome local: ')
    else
    if codmsg = 'FTPOLOC' then
        write ('Porta local: ')
    else
    if codmsg = 'FTENDRED' then
        write ('Endereço de rede: ')
    else
    if codmsg = 'FTSELPOR' then
        write ('Selecionando a porta ')
    else
        writeln ('--> Mensagem invalida: ' + codMsg);

    for i := 1 to nlf do
         writeln;
end;

end.
